<?php

namespace app\themes\custom\controllers;

use kernel\Controller;

class MainController extends Controller
{

    protected function init(): void
    {
        parent::init();
        $this->cgView->viewPath = APP_DIR . "/themes/custom/views/main/";
        $this->cgView->layout = "main.php";
        $this->cgView->layoutPath = APP_DIR . "/themes/custom/views/layout/";
        $this->cgView->addVarToLayout("resources", "/resources/themes/custom");
    }

    public function actionIndex(): void
    {
        $this->cgView->render("index.php");
    }

    public function actionAbout(): void
    {
        $this->cgView->render("about.php");
    }
}